Package in.cdac.medinfo.csnotk.csnolib.disb.model

## Class MedicinalProduct

- java.lang.Object
- - in.cdac.medinfo.csnotk.csnolib.disb.model.MedicinalProduct

-     public class MedicinalProduct
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `MedicinalProduct()` |
    `MedicinalProduct​(java.lang.String id)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Brand` | `getBrand()` |
    `java.util.Date` | `getDateOfCreation()` |
    `java.util.Date` | `getDateOfModification()` |
    `java.lang.String` | `getId()` |
    `Manufacturer` | `getManufacturer()` |
    `java.lang.String` | `getMedicinalProductSctId()` |
    `java.util.Set<MedicineDetail>` | `getMedicineDetails()` |
    `RecordStatus` | `getRecordStatus()` |
    `int` | `getVersion()` |
    `void` | `setBrand​(Brand brand)` |
    `void` | `setDateOfCreation​(java.util.Date dateOfCreation)` |
    `void` | `setDateOfModification​(java.util.Date dateOfModification)` |
    `void` | `setId​(java.lang.String id)` |
    `void` | `setManufacturer​(Manufacturer manufacturer)` |
    `void` | `setMedicinalProductSctId​(java.lang.String medicinalProductSctId)` |
    `void` | `setMedicineDetails​(java.util.Set<MedicineDetail> medicineDetails)` |
    `void` | `setRecordStatus​(RecordStatus recordStatus)` |
    `void` | `setVersion​(int version)` |

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MedicinalProduct

          public MedicinalProduct​(java.lang.String id)

    - #### MedicinalProduct

          public MedicinalProduct()

  - ### Method Detail

    - #### getId

          public java.lang.String getId()

    - #### setId

          public void setId​(java.lang.String id)

    - #### getManufacturer

          public Manufacturer getManufacturer()

    - #### setManufacturer

          public void setManufacturer​(Manufacturer manufacturer)

    - #### getBrand

          public Brand getBrand()

    - #### setBrand

          public void setBrand​(Brand brand)

    - #### getMedicineDetails

          public java.util.Set<MedicineDetail> getMedicineDetails()

    - #### setMedicineDetails

          public void setMedicineDetails​(java.util.Set<MedicineDetail> medicineDetails)

    - #### getVersion

          public int getVersion()

    - #### setVersion

          public void setVersion​(int version)

    - #### getRecordStatus

          public RecordStatus getRecordStatus()

    - #### setRecordStatus

          public void setRecordStatus​(RecordStatus recordStatus)

    - #### getDateOfCreation

          public java.util.Date getDateOfCreation()

    - #### setDateOfCreation

          public void setDateOfCreation​(java.util.Date dateOfCreation)

    - #### getDateOfModification

          public java.util.Date getDateOfModification()

    - #### setDateOfModification

          public void setDateOfModification​(java.util.Date dateOfModification)

    - #### getMedicinalProductSctId

          public java.lang.String getMedicinalProductSctId()

    - #### setMedicinalProductSctId

          public void setMedicinalProductSctId​(java.lang.String medicinalProductSctId)